Subject: [IPFIX] [Editorial Errata Reported] RFC6313 (2926)

From: RFC Errata System <[email-masked]>
Date: Mon, 8 Aug 2011 14:53:39 -0700 (PDT)

The following errata report has been submitted for RFC6313,
"Export of Structured Data in IP Flow Information Export (IPFIX)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6313&eid=2926

--------------------------------------
Type: Editorial
Reported by: Paul Aitken <[email-masked]>

Section: Appendix A

Original Text
-------------
 <simpleType name="dataTypeSemantics">
   <restriction base="string">
     <enumeration value="List">
       <annotation>
         <documentation>
           Represents an arbitrary-length sequence of structured
           data elements, either composed of regular Information
           Elements or composed of data conforming to a Template
           Record.
         </documentation>
       </annotation>
     </enumeration>

Corrected Text
--------------
         <enumeration value="list">
           <annotation>
             <documentation>
               Represents an arbitrary-length sequence
               of zero or more structured data Information Elements,
               either composed of regular Information Elements
               or composed of data conforming to a Template Record.
             </documentation>
           </annotation>
         </enumeration>

Notes
-----
Insertion of missing "zero or more" per the definition in section 4.2.1:

4.2. New Data Type Semantic
4.2.1. List

   A list represents an arbitrary-length sequence of zero or more
   structured data Information Elements, either composed of regular
   Information Elements or composed of data conforming to a Template
   Record.

Note that this refers to the dataTypeSemantics on page 64, for modifications to the IPFIX schema. The schema has been updated with the corrected text above.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6313 (draft-ietf-ipfix-structured-data-06)
--------------------------------------
Title               : Export of Structured Data in IP Flow Information Export (IPFIX)
Publication Date    : July 2011
Author(s)           : B. Claise, G. Dhandapani, P. Aitken, S. Yates
Category            : PROPOSED STANDARD
Source              : IP Flow Information Export
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG